# Generated by Django 3.1.3 on 2020-11-26 18:26

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('project_settings', '0001_initial'),
        ('docs', '0002_doc_projects'),
        ('annotations', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='annotationlabel',
            name='task',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='annotation_labels', to='project_settings.task'),
        ),
        migrations.AddField(
            model_name='annotatedtext',
            name='annotation_label',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='annotated_texts', to='annotations.annotationlabel'),
        ),
        migrations.AddField(
            model_name='annotatedtext',
            name='doc',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='annotated_texts', to='docs.doc'),
        ),
        migrations.AddField(
            model_name='annotatedtext',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='annotated_texts', to='project_settings.project'),
        ),
        migrations.AddField(
            model_name='annotatedtext',
            name='task',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='annotated_texts', to='project_settings.task'),
        ),
    ]
